# Class DeployKeysController < ProjectResourceController

- app/controllers/deploy_keys_controller.rb

Methods

C
  - create
D
  - destroy
I
  - index
N
  - new
S
  - show

Instance Public methods
create() Link

Source: show

    # File app/controllers/deploy_keys_controller.rb, line 21
    def create
      @key = @project.deploy_keys.new(params[:key])
      if @key.save
        redirect_to project_deploy_keys_path(@project)
      else
        render "new"
      end
    end

destroy() Link

Source: show

    # File app/controllers/deploy_keys_controller.rb, line 30
    def destroy
      @key = @project.deploy_keys.find(params[:id])
      @key.destroy

      respond_to do |format|
        format.html { redirect_to project_deploy_keys_url }
        format.js { render nothing: true }
      end
    end

index() Link

Source: show

    # File app/controllers/deploy_keys_controller.rb, line 7
    def index
      @keys = @project.deploy_keys.all
    end

new() Link

Source: show

    # File app/controllers/deploy_keys_controller.rb, line 15
    def new
      @key = @project.deploy_keys.new

      respond_with(@key)
    end

show() Link

Source: show

    # File app/controllers/deploy_keys_controller.rb, line 11
    def show
      @key = @project.deploy_keys.find(params[:id])
    end